/*
 * JPA entity PK template
 */

package de.ivu.elect.business.stimmeingabe.entity;

@javax.enterprise.inject.Vetoed
public class StimmeingabefehlerPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<StimmeingabefehlerPK> {

  private static final long serialVersionUID = 0L;

  public StimmeingabefehlerPK() {
    super();
  }

  public StimmeingabefehlerPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "StimmeingabefehlerPK:"+getId();
  }

  @Override
  public int compareTo(StimmeingabefehlerPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
